
%   beamform        - simple beamformer

%   angles          - computes the take-off angle which turns at a specific sound speed

%   bbrun           - Do a broadband model run
%   stack           - Fourier synthesis to make a time series from the transfer function
%   stackarr        - plot replica time series
%   delayandsum     - plot replica time series

%   trian           - make a triangular spectrum
%   SL              - surface loss

%   ssp_filt        - sspfilt

%   bellhop         - run the BELLHOP program
%   bounce          - run the BOUNCE program
%   kraken          - run the KRAKEN program
%   krakenc         - run the KRAKENC program
%   scooter         - run the SCOOTER program
%   sparc           - run the SPARC program

%   field           - calculates the field using modes produced by KRAKEN

%   makeenv         - makeenv
%   makemseq        - make an m-sequence probe
%   makespectrum    - make a triangular spectrum
%   makechirps      - makechirps( fmin, fmax, fs, T, shortcleartime, T_tot )
%   makeTRC         - make a top reflection coefficient for use by Bellhop or other models

%   planewave_rep   - set up matrix, e( angle, phone ) of planewave steering vectors

%   rand_bdry       - Generates a random boundary (top or bottom)

%   read_shd        - Read the shade file
%   read_shd_bin    - Read in TL surfaces from a binary Bellhop/Kraken .SHD file
%   read_shd_asc    - Read an ascii shade file

%   read_modes      - Read the modes produced by KRAKEN
%   read_modes_asc  - Read the modes produced by KRAKEN
%   read_modes_bin  - Read the modes produced by KRAKEN


%   readenv         - Read in the environmental file
%   read_env        - Read an environmental file
%   readsdrd        - Read in source depths and receiver depths

%   write_env       - Writes an environmental file
%   write_fieldflp  - Writes an environmental file
%   write_fieldsflp - Writes an environmental file
%   writebty        - Write a bathymetry from the workspace variables
