function bounce( filename )

% run the BOUNCE program
% usage: bounce( filename )
% where filename is the environmental file
%
% mbp Dec. 2002

if ( isempty( filename ) )
    warndlg( 'No envfil has been selected', 'Warning' );
else
    %if ( exist( [ filename '.brc' ] ) == 2 );
    %   warndlg( 'Output Bottom Refl. Coef. file (BRCFIL) already exists', 'Warning' )
    %end
    
    eval( [ '! bounce.exe < ' filename '.env > ' filename '.prt' ] );
    
    if ( exist( 'BRCFIL', 'file' ) == 2 ); movefile( 'BRCFIL', [ filename '.brc' ] ); end   
    if ( exist( 'IRCFIL', 'file' ) == 2 ); movefile( 'IRCFIL', [ filename '.irc' ] ); end   
end

