function Mz = SedDens2Mz(SedDens);
% % %Inversion of Eq(2), APL Section 4.A.4
% % % Note: -1<Mz<9
rho1 = 1.028;
Rhoref = SedDens/rho1;
% Rhoref = (1.145:0.001:2.4923);
 Mz = zeros(1,length(Rhoref));

 for n = 1:length(Rhoref)
    rhoref = Rhoref(n);
    rhoref = round(rhoref*1e4)/1e4;
    if( (rhoref <=  2.4923)&& (rhoref > 2.1511))
st = 1;
        Mz1 = roots([0.007797 -0.17057 (2.3139-rhoref)]);
        chkang1 = eq(angle(Mz1),0) + eq(angle(Mz1),pi);
        rt1 = lt(Mz1,1).*ge(Mz1,-1).*chkang1;
        i1 = find(rt1);
        MZ = Mz1(i1);
        
    elseif((rhoref <= 2.1511) && (rhoref > 1.1496))
st = 2;
        Mz2 = roots([-0.0165406 0.2290201 -1.1069031 (3.0455-rhoref)]);
        chkang2 = eq(angle(Mz2),0);
        rt2 = lt(Mz2,5.3).*ge(Mz2,1).*chkang2;
        i2 = find(rt2);
        MZ = Mz2(i2);
         
    elseif((rhoref <= 1.1496) && (rhoref >= 1.1448))
st = 3;
        Mz3 = roots([-0.0012973 (1.1565-rhoref)]);
        chkang3 = eq(angle(Mz3),0);
        rt3 = le(Mz3,9).*ge(Mz3,5.3).*chkang3;
        i3 = find(rt3);
        MZ = Mz3(i3);
    else
        MZ = 0;
        disp('Grain Size Approximation only good for 1.1447 < rhowat/rhobot < 2.4923')
    end
    Mz(n) = MZ;
    clear MZ st
 end


 
% %  plot(Rhoref,Mz,'.')
% %  
% %  figure
% %   plot(Mz,Rhoref,'.')

