function Phi = SedType2Phi(SedTypeRef);


% PHI = 9.5;

PHIs = [-1:0.5:8 9];
indx = (1:length(PHIs));
Seds = {['Sandy Gravel'], ...
        ['Very Course Sand'],...
        ['Muddy Sandy Gravel'],...
        ['Course Sand, Gravelly Sand'],...
        ['Gravelly Muddy Sand'],....
        ['Medium Sand'],....
        ['Muddy Gravel'],...
        ['Fine Sand, Silty Sand'],...
        ['Muddy Sand'],...
        ['Very Fine Sand'],...
        ['Clayey Sand'],...
        ['Coarse Silt'],...
        ['Sandy Silt, Gravelly Mud'],...
        ['Medium Silt, Sand-Silt-Clay'],...
        ['Sandy Mud'],...
        ['Fine Silt, Clayey Silt'],...
        ['Sandy Clay'],...
        ['Very Fine Silt'],...
        ['Silty Clay'],...
        ['Clay (all grades)']};
if ((PHI < PHIs(1)) ||(PHI > PHIs(end)))
    disp('Please select a Grain Size (PHI units) between -1.0 and 9.0')
    SedType = -9999999;
else
    Nearestindx = interp1(PHIs,indx,PHI,'nearest');
    SedType = Seds(Nearestindx);
end