% 3D Normal mode tests using N. Atlantic scenario
% mbp

figure;
plottri( 'lant' )
axis( [ 100 600 200 600 ] )

krakenall
!field3d.exe < lant.flp
movefile 'SHDFIL' 'lant.shd'
plotshdpol 'lant.shd'
title( 'F = 50 Hz, SD = 400 m, RD = 400 m' )
% print -dps2 tl_color.ps

yarg = flipud( gray );
%colormap( gray )
caxis( [ 80 100 ] )
% print -dps2 tl_bw.ps

 
% test of a single bearing calculation
% need to change .env files to include multiple depths first
!field3d.exe < lant_90degrees.flp
movefile 'SHDFIL' 'lant_90degrees.shd'
figure; plotshd 'lant_90degrees.shd'
title( 'F = 50 Hz, SD = 400 m, theta = 90 degrees' )


% test of a volume calculation

%!field3d < lantvol.flp
%copyfile 'SHDFIL' 'lantvol.shd'
%plotshdpol 'lantvol.shd'

%axis( [ 100 600 200 600 ] )
%view( 0, -90 )

% Gaussian beam run (takes several hours)
%!field3d.exe < lantgbt.flp
%movefile 'SHDFIL' 'lantgbt.shd'
%plotshdpol 'lantgbt.shd'
%title( 'F = 50 Hz, SD = 400 m, RD = 400 m' )
