% Comparison of range-independent, adiabatic, and coupled mode options for
% the Gulf Stream eddy

% Note that in the new version of KRAKEN, this can all be done in one input
% file.

% Possible compiler problem showed up on this test case
% A segmentation fault in evalad.f (adiabatic field evaluation) occured when the number of receiver depths was
% increased


!kraken.exe < gulf012.env
movefile( 'MODFIL0001', 'MODFIL0002' );

!kraken.exe < gulf025.env
movefile( 'MODFIL0001', 'MODFIL0003' );

!kraken.exe < gulf037.env
movefile( 'MODFIL0001', 'MODFIL0004' );

!kraken.exe < gulf050.env
movefile( 'MODFIL0001', 'MODFIL0005' );

!kraken.exe < gulf075.env
movefile( 'MODFIL0001', 'MODFIL0006' );

!kraken.exe < gulf100.env
movefile( 'MODFIL0001', 'MODFIL0007' );

!kraken.exe < gulf125.env
movefile( 'MODFIL0001', 'MODFIL0008' );

!kraken.exe < gulf000.env

!field.exe < gulf_ri.flp
movefile( 'SHDFIL', 'gulf_ri.shd' );
plotshd( 'gulf_ri.shd', 3, 1, 1 )
caxis( [ 70 100 ] )

!field.exe < gulf_cm.flp
movefile( 'SHDFIL', 'gulf_cm.shd' );
plotshd( 'gulf_cm.shd', 3, 1, 2 )
caxis( [ 70 100 ] )

!field.exe < gulf_ad.flp
movefile( 'SHDFIL', 'gulf_ad.shd' );
plotshd( 'gulf_ad.shd', 3, 1, 3 )
caxis( [ 70 100 ] )

% orient tall
% print -depsc Fig5_18Color.eps
% 
% colormap gray
% print -deps  fig5_18.eps
%%
figure
plotssp 'Gulf_ray_ri'

bellhop 'Gulf_ray_ri'
figure
plotray 'Gulf_ray_ri'

bellhop 'Gulf_ray_rd'
figure
plotray 'Gulf_ray_rd'
%%

bellhop 'GulfB_ri_geo'
plotshd( 'GulfB_ri_geo.shd', 2, 2, 1 )
caxis( [ 70 100 ] )

bellhop 'GulfB_ri_gb'
plotshd( 'GulfB_ri_gb.shd', 2, 2, 2 )
caxis( [ 70 100 ] )

bellhop 'GulfB_rd_geo'
plotshd( 'GulfB_rd_geo.shd', 2, 2, 3 )
caxis( [ 70 100 ] )

bellhop 'GulfB_rd_gb'
plotshd( 'GulfB_rd_gb.shd', 2, 2, 4 )
caxis( [ 70 100 ] )
