% Parabolic Bottom test
% mbp

% linear boundary interpolation

make_bdry( 'L' )

% the rays:
figure
bellhopM ParaBot
%figure; plotray RAYFIL
hold on
plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot

% TL: Geometric ray theory
copyfile( 'ParaBot.bty', 'ParaBotTLGeom.bty' );
copyfile( 'ParaBot.ati', 'ParaBotTLGeom.ati' );
bellhopM ParaBotTLGeom
plotshd( 'ParaBotTLGeom.mat', 2, 1, 1 )
caxis( [ 0 40 ] )

plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot

% TL: Gaussian beams
copyfile( 'ParaBot.bty', 'ParaBotTLGB.bty' );
copyfile( 'ParaBot.ati', 'ParaBotTLGB.ati' );
bellhopM ParaBotTLGB
plotshd( 'ParaBotTLGB.mat', 2, 1, 2 )
caxis( [ 0 40 ] )

plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot
%%

% curvilinear boundary interpolation

make_bdry( 'C' )

% the rays:
figure
bellhopM ParaBot
%figure; plotray RAYFIL
hold on
plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot

% TL: Geometric ray theory
copyfile( 'ParaBot.bty', 'ParaBotTLGeom.bty' );
copyfile( 'ParaBot.ati', 'ParaBotTLGeom.ati' );
bellhopM ParaBotTLGeom
plotshd( 'ParaBotTLGeom.mat', 2, 1, 1 )
caxis( [ 0 40 ] )

plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot

% TL: Gaussian beams
copyfile( 'ParaBot.bty', 'ParaBotTLGB.bty' );
copyfile( 'ParaBot.ati', 'ParaBotTLGB.ati' );
bellhopM ParaBotTLGB
plotshd( 'ParaBotTLGB.mat', 2, 1, 2 )
caxis( [ 0 40 ] )

plotati 'ParaBot'   % superimpose an altimetry plot
plotbty 'ParaBot'   % superimpose a bathymetry plot

