% deletes all temporary files in the tests directory

delete *.prt
delete *.shd
delete *.grn
delete *.mod
delete *.mat
delete *.arr
delete *.asv
delete *.rts

cases = [ 'free       '; ...
          'halfspace  '; ...
          'calib      '; ...
          'Munk       '; ...
          'MunkLeaky  '; ...
          'sduct      '; ...
          'Dickins    '; ...
          'arctic     '; ...
          'SBCX       '; ...
          'BeamPattern'; ...
          'TabRefCoef '; ...
          'PointLine  '; ...
          'ParaBot    '; ...
          'Ellipse    '; ...
          'terrain    '; ...
          '3DAtlantic '; ...
          'TLslices   '; ...
          'head       '; ...
          'wedge      '; ...
          'Gulf       '; ...
          'block      '; ...
          ];

for icase = 1: size( cases, 1 )
    directory = deblank( cases( icase, : ) )
    eval( [ 'cd ' directory ] );
    delete *.prt
    delete *.shd
    delete *.grn
    delete *.mod
    delete *.mat
    delete *.arr
    delete *.asv
    delete *.rts
    delete *.ray
    delete *.irc
    delete *.brc
    delete *.avi
    delete ZBARFIL
    delete KBARFIL
    delete GRNFIL
    delete SHDFIL
    delete MODFIL*
    cd ..
end

