% Run tests to verify the surface and bottom reflection coefficents are
% incorporated correctly

scooter( 'lower_halfS' )
plotshd( 'lower_halfS.shd', 2, 2, 1 );
caxis( [ 40 80 ] )

bellhop( 'lower_halfB' )
plotshd( 'lower_halfB.shd', 2, 2, 2 );
caxis( [ 40 80 ] )

scooter( 'upper_halfS' )
plotshd( 'upper_halfS.shd', 2, 2, 3 );
caxis( [ 40 80 ] )

bellhop( 'upper_halfB' )
plotshd( 'upper_halfB.shd', 2, 2, 4 );
caxis( [ 40 80 ] )
