function write_bell( fid, Beam )
    
% Read in the rest of the environmental file
% This is the part containing control info specific to Bellhop

% *** write run type ***
fprintf( fid, '''%s'' ! Run Type \r\n', Beam.RunType );

if ( isfield( Beam, 'Ibeam' ) )
    fprintf( fid, '%i %i ! Nbeams Ibeam \r\n', Beam.Nbeams, Beam.Ibeam );
else
    
    fprintf( fid, '%i ! Nbeams \r\n', Beam.Nbeams );
end

fprintf( fid, '%f %f / ! angles (degrees) \r\n', Beam.alpha( 1 ), Beam.alpha( end ) );

fprintf( fid, '%f %f %f   ! deltas Box.z Box.r \r\n', Beam.deltas, Beam.Box.z, Beam.Box.r );

