function RAMtoSHD
%
filename = 'tl.grid';

Pos.s.depth = 0;
Pos.r.depth = 0 :   3 :   3000;
Pos.r.range = 0 : 100 : 100000;

dz    = 0.2;
zmplt = 100;
dr    = 9.98;
rmax  = 100000;

Pos.r.depth = 0 : dz : zmplt;
Pos.r.range = 0 : dr : rmax;


Nrd = length( Pos.r.depth );
Nrr = length( Pos.r.range );

fid = fopen( filename, 'rb' );

if ( fid == -1 )
   error( 'No shade file with that name exists; you must run a model first' );
end

TL = fread( fid, [ Nrd, Nrr ], 'float32' );    %Read complex data

fclose( fid );

PlotTitle = 'RAM';
PlotType = 'rectilin  ';
freq  = 0.0;
atten = 0;
p( 1, 1, :, : ) = 10 .^ ( -TL / 20 );
save SHDFIL PlotTitle PlotType freq atten Pos p  % problem: sd is outside the loop
