function Mz = Cb2Mz(Cb)
% clear all
% Cb = 1950;
% Cw = 1500;
if(nargin == 1)
    
    %Send Cw 
    
    Cw = 1500;
%     Cw = BHparms.ssps.wat(end,2); %Use this in model
%     disp('Using 1500 m/s reference')
    
end

% Cratio = (0.9801:0.0001:1.3369);
Cratio = Cb./Cw
Mz = zeros(1,length(Cratio));

for n = 1:length(Cratio)
    Cref = Cratio(n);
    
    Cref = round(Cref*1e4)/1e4;
    
    if( (Cref <=  1.3370)&& (Cref > 1.2241))
% st = 1;
        C1 = roots([0.002709 -0.056452 (1.2778-Cref)]);
        chkang1 = eq(angle(C1),0) + le(abs(angle(C1)-pi),eps);
        rt1 = lt(C1,1).*ge(C1,-1).*chkang1;
        i1 = find(rt1);
        C = C1(i1);
        
    elseif((Cref <= 1.2241) && (Cref > 0.9890))
% st = 2;
        C2 = roots([-0.0014881 0.0213937 -0.1382798 (1.3425-Cref)]);
        chkang2 = eq(angle(C2),0);
        rt2 = lt(C2,5.3).*ge(C2,1).*chkang2;
        i2 = find(rt2);
        C = C2(i2);
         
    elseif((Cref <= 0.9890) && (Cref >= 0.9800))
% st = 3;
        C3 = roots([-0.0024324 (1.0019-Cref)]);
        chkang3 = eq(angle(C3),0);
        rt3 = le(C3,9).*ge(C3,5.3).*chkang3;
        i3 = find(rt3);
        C = C3(i3);
    else
        C = 0;
        disp('Grain Size Approximation only good for 0.9800 < Cwat/Cbot < 1.3370')
    end
    Mz(n) = C;
    clear C st
 end
% 
% 
%  figure
%  plot(Cratio,Mz,'.')
%  
%  figure
%   plot(Mz,Cratio,'.')