from numpy import *
from math import atan2


class BR:
	def __init__(self):
		self.alpha  = 0
		self.Nbeams = 0
class TR:
	def __init__(self):
		
		self.Bdry      = 0
		self.xTop      = 0
		self.tTop      = 0
		self.nTop      = 0
		self.tTopNode  = 0
		self.nTopNode  = 0
		self.RLenTop   = 0
		self.kappaTop  = 0
		self.NatiPts   = 0
		self.atiType   = 0
		self.xBot      = 0
		self.tBot      = 0
		self.nBot      = 0
		self.tBotNode  = 0
		self.nBotNode  = 0
		self.RLenBot   = 0
		self.kappaBot  = 0
		self.NbtyPts   = 0
		self.btyType   = 0
		self.topFlag   = 0
		self.botFlag   = 0
class POS:
	def _init_(self):
		self.r = []
		self.s = []
		self.Nrd = 0
		self.Nsd = 0
		self.Nrr = 0
		
class R:
	def _init_(self):
		self.depth = []
		self.range = []
class S:
	def _init_(self):
		self.depth
class Cint:
	def _init_(self):
		self.Low  = 0
		self.High = 0
class SSp:
	def _init_(self):
		self.z      = []
		self.c      = []
		self.cs     = []
		self.rho    = []
		self.N      = []
		self.sigma  = []
		self.depth  = []
		self.NMedia = 0
		self.raw    = []
		self.Npts   = []
		self.cz     = []
class BDRY:
	def _init_(self):
		self.Top = 0
		self.Bot = 0
		
class TOP:
	def _init_(self):
		self.cp = 0
		self.cs = 0
		self.rho = 0
		self.Opt = 0
		self.HS = 0
		self.depth = 0
class BOT:
	def _init_(self):
		self.cp = 0
		self.cs = 0
		self.rho = 0
		self.Opt = 0
		self.HS = 0
		self.depth = 0
class hs:
	def _init_(self):
		self.alphaR = 0
		self.alphaI = 0
		self.betaR  = 0
		self.betaI  = 0
		self.rho    = 0
class ICE:
	def _init_(self):
		self.BumDen = 0
		self.eta    = 0
		self.xi     = 0
class beam:
	def _init_(self):
		self.Isingl = 0
		self.Ibwin  = 5
		self.rLoop  = 0
		self.Nimage = 3
		self.RunType = ''
		self.Nbeams = 0
		self.alpha  = 0
		self.deltas = 0
		self.Box    = 0
		self.Type   = ''
		self.epmult = 0
class BOX:
	def _init_(self):
		self.z = 0
		self.r = 0
def getLine(fid): 
	
	# reads a line removes commas, '/' , and '!' 
	s = fid.readline()
	S = s.replace(',', ' ')
	if (S.find('/')!= -1):
		S = S[0:S.find('/')]
	if (S.find('!') != -1):
		S = S[0:S.find('!'):]
	return S
def strmatch(model,strarray):

	strarray = array(strarray)
	ind = where(strarray == model)
	if (ind[0]):
		return ind[0][0]
	else:
		return False
def read_env(envfil, model):
	global tr, br
	tr = TR
	br = BR
	#read an environmental file 
	cInt = Cint
	#should check here that model is one of the known ones
	disp('')
	disp('')
	disp('')
	disp('__________________________________________________________________')
	
	
	
	if ((envfil != 'ENVFIL') and (envfil[-4:] != '.env')):
		envfil = envfil + '.env' # append extension
	
	[TitleEnv, freq, SSP, fid] = readenv(envfil) #read in the environmental file
	
	if (strmatch(model,array(['SCOOTER', 'KRAKEN', 'KRAKENC', 'SPARC' ]))):
		temp = getLine(fid).split()
		cInt.Low  = float(temp[0]) #lower phase speed limit
		cInt.High = float(temp[1]) # upper phase speed limit
		print('\n cLow = %8.1f m/s cHigh = %8.1f m/s\n' % (cInt.Low,cInt.High))
		
		temp  = getLine().split()
		RMax  = float(temp[0]) #read max range, Rmax
		print('Rmax = %f km \n' % (Rmax))
		
	
	else:   #dummy values for Bellhop
		cInt.Low = 1500
		cInt.High = 10**9
		RMax = 100
	Pos = readsdrd(fid)  #read in the source and receiver depths
	
	if (model =='BELLHOP'):
		Pos.r.range = readr(fid) #read in receiver ranges
		Pos.Nrr     = len(Pos.r.range)
		Beam        = read_bell(fid,freq,tr.Bdry.Bot.depth,tr.Bdry.Top.depth,Pos.r.range[-1])
	else:  #dummy value for models that don't use Beam parameters
		Beam.RunType    = 'CG'
		Beam.Nbeams     = 0
		Beam.alpha[0]   = -15
		Beam.alpha[1]   = +15
		Beam.Box.z      = 1.05 * max( Pos.r.depth )
		Beam.Box.r      = 1.05 * RMax
		Beam.deltas     = 0.0
		Pos.r.range     = linspace( 0, RMax, 501 )   # set up receiver range vector
		
	return [ TitleEnv, freq, SSP, Pos, Beam, cInt, RMax, fid ,tr, br]


	
def readenv(envfil):

	# Read in the environmental file
	global tr, br
	
	#global HV, cInsT, rhoInsT, cInsB, rhoInsB, NFirstAcoustic, NLastAcoustic
	global alphaR, betaR, rhoR, alphaI, betaI
	
	alphaR = 1500   # defaults
	betaR  = 0
	rhoR   = 1
	alphaI = 0
	betaI  = 0
	
	
	openfiles = []
	NFirstAcoustic = 0
	
	
	tr.Bdry = BDRY
	tr.Bdry.Top = TOP
	tr.Bdry.Bot = BOT
	SSP = SSp
	try:
		fid = open(envfil, 'r')
	except IOError:
		print('Unable to open environmental file %s'% (envfil) )
		exit()
	TitleEnv = getLine(fid)
	#Exract letter between the quotes
	nchars = []
	nchars.append(TitleEnv.find("'")) # find first half quote
	nchars.append(TitleEnv.rfind("'")) # find last half quote
	TitleEnv = TitleEnv[nchars[0] + 1 : nchars[1]]
	
	disp(TitleEnv)
	
	freq  = float(getLine(fid).split()[0])
	print('Frequency = %d Hz' % (freq) )
	
	SSP.NMedia   = int(getLine(fid).split()[0])
	print('Number of media = %i \n'% (SSP.NMedia) )
	
	TopOpt  = getLine(fid)
	
	#Extract option letters between quotes
	nchars = []
	nchars.append(TopOpt.find("'")) #find first half of quotes
	nchars.append(TopOpt.rfind("'")) #find second half of quotes
	tr.Bdry.Top.Opt = TopOpt[nchars[0] + 1 : nchars[1]]
	for i in range(7 - (nchars[1] - nchars[0])):
		tr.Bdry.Top.Opt = tr.Bdry.Top.Opt + ' '
	
	
	SSPType   = tr.Bdry.Top.Opt[0]
	BCType    = tr.Bdry.Top.Opt[1]
	AttenUnit = tr.Bdry.Top.Opt[2]
	
	# ******SSP approximation options********
	
	if (SSPType == 'N'):
		disp('    N2-LINEAR approximation to SSP')
	elif (SSPType == 'C'):
		disp('    C-LINEAR approximation to SSP')
	elif (SSPType == 'S'):
		disp('    SPLINE approximation to SSP')
	elif (SSPType == 'Q'):
		disp('    Quadrilateral approximation to range-dependent SSP')
	elif (SSPType == 'A'):
		disp('    ANALYTIC SSP option')
	else:
		fid.close()
		disp('Fatal error: Unknown option for SSP approximation')
		exit()
	
	# *********Attenuation options*******
	
	if (AttenUnit == 'N'):
		disp('    Attenuation units: nepers/m')
	elif (AttenUnit == 'F'):
		disp('    Attenuation units: dB/mkHz')
	elif (AttenUnit == 'M'):
		disp('    Attenuation units: dB/m')
	elif (AttenUnit == 'W'):
		disp('    Attenuation units: dB/wavelength')
	elif (AttenUnit == 'Q'):
		disp('    Attenuation units: Q')
	else:
		fid.close()
		disp('Fatal error: Unknown attenuation units')
		exit()
	
	# *****optional addition of volume attenuation using standard formulas***
	
	if (len(tr.Bdry.Top.Opt) >= 4):
		if (tr.Bdry.Top.Opt[3] == 'T'):
			disp('    THORP attenuation added')
			
	if (len(tr.Bdry.Top.Opt) >= 5):
		if (tr.Bdry.Top.Opt[4] == '*'):
			disp('    Development options enabled')
			
	[tr.Bdry.Top.cp, tr.Bdry.Top.cs, tr.Bdry.Top.rho, ice, tr.Bdry.Top.HS ] = topbot(fid,freq,BCType,AttenUnit)
	
	# main loop to read in SSP
	print('\n   Z (m)   AlphaR (m/s)    BetaR     Rho (g/cm^3)  AlphaI      BetaI ')
	SSP.z   = []
	SSP.c   = []
	SSP.cs  = []
	SSP.rho = []
	SSP.N   = []
	SSP.sigma = []
	SSP.depth = [0.0]
	SSP.Npts  = []
	SSP.raw  = []
	SSP.cz   = []
	#set up a 3-d array for SSP.raw
	#first dim is medium in SSP.NMedia
	#second dim is 6 for ztmp- 0, alphaR-1, alphaI-2, betaR-3, betaI-4, rho-5
	#third dim is for ii in range(999)
	SSP.raw    = list(zeros((SSP.NMedia,6)))
	for i in range(SSP.NMedia):
		SSP.raw[i] = list(SSP.raw[i])
		for j in range(6):
			SSP.raw[i][j] = []
	Loc = array([])
	for medium in range(SSP.NMedia):
		if(medium == 0):
			Loc = hstack([Loc,0])
		else:
			Loc = hstack([Loc,Loc[medium -1] + SSP.Npts[medium -1]])
		temp = getLine(fid).split()
		
		# number of points in finite-difference grid
		
		SSP.N = hstack([SSP.N,int(temp[0])])
		SSP.sigma = hstack([SSP.sigma,float(temp[1])])
		SSP.depth = hstack([SSP.depth,float(temp[2])])
		#SSP.N[medium]       = int(fscanf(fid))
		#SSP.sigma[medium]   = fscanf(fid)
		#SSP.depth[medium + 1]     = fscanf(fid)
		
		if (SSP.N[medium] == 0): # calculate mesh automatically
			#choose a reference sound speed
			C =alphaR
			if (betaR > 0.0):
				C = betaR # shear?
			deltaz = 0.1*C/freq #tenth of a wavelength default sampling
			SSP.N[medium] = round( ( SSP.depth[medium + 1] - SSP.depth[medium] )/deltaz)
			SSP.N[medium] = max( SSP.N[medium],10) #require a minimum of 10 points
		print( '    ( Number of pts = %i  Roughness = %6.2f  Depth = %8.2f ) ' %\
		 (int(SSP.N[medium]),float(SSP.sigma[medium]),float(SSP.depth[medium+1])))
		#fid.readline()
		
		#read in the SSP
		
		for ii in range(999):
			
			x = getLine(fid).split()
			temp = ['','','','','','']
			for i in range(len(x)):
				temp[i] = x[i]
			if (temp[0]):
				ztmp   = float(temp[0])
			if (temp[1]):
				alphaR = float(temp[1])
			if (temp[2]):
				betaR = float(temp[2])
			if (temp[3]):
				rhoR = float(temp[3])
			if (temp[4]):
				alphaI = float(temp[4])
			if (temp[5]):
				betaI = float(temp[5])
			
			print('%s   %8.2f    %8.2f    %8.2f    %8.4f    %8.4f '% (str(ztmp), alphaR, betaR, rhoR, alphaI, betaI))
			
			cp = crci(alphaR,alphaI,freq,AttenUnit)
			cs = crci(betaR, betaI,freq,AttenUnit )
			#In Python if you want to add to an empty array yuo have 
			#to start out horizontally, then you can vertically
			 
			SSP.z.append(ztmp) 
			SSP.c.append(cp)
			SSP.cs.append(cs)
			SSP.rho.append(rhoR)
			#add in to existing vector
			SSP.raw[medium][0] = hstack([SSP.raw[medium][0],ztmp])
			SSP.raw[medium][1] = hstack([SSP.raw[medium][1],alphaR])
			SSP.raw[medium][2] = hstack([SSP.raw[medium][2],alphaI]) 
			SSP.raw[medium][3] = hstack([SSP.raw[medium][3],betaR]) 
			SSP.raw[medium][4] = hstack([SSP.raw[medium][4],betaI]) 
			SSP.raw[medium][5] = hstack([SSP.raw[medium][5],rhoR]) 
			
			# check for end of this layer
			if (ztmp == SSP.depth[medium+1]):
				break
		#Keep track of first and last acoustic medium
		if (~array(cs).any()): #shear anywhere?
			if(NFirstAcoustic == 0):
				NFirstAcoustic = medium
			NLastAcoustic = medium
		
		#stuff for Bellhop
		if ( medium == 0):
			HV     = diff(SSP.z) #layer thickness
			SSP.cz = diff(array(SSP.c))*(1/HV) #gradient of ssp (centered-difference approximation)
			
		SSP.Npts.append(ii + 1)
		if (medium == 0):
			SSP.depth[0] = SSP.z[0]
	
	#lower halfspace
	BotOpt = getLine(fid)
	nchars = []
	nchars.append(BotOpt.find("'")) #find first half of quotes
	nchars.append(BotOpt.rfind("'")) #find second half of quotes
	
	#Extract option letters between the quotes
	tr.Bdry.Bot.Opt = BotOpt[nchars[0]+1:nchars[1]] 
	for i in range(3 - ( nchars[1] - nchars[0] )):
		tr.Bdry.Bot.Opt = tr.Bdry.Bot.Opt + ' '
	BCType = tr.Bdry.Bot.Opt[0]
	[ tr.Bdry.Bot.cp, tr.Bdry.Bot.cs, tr.Bdry.Bot.rho, ice, tr.Bdry.Bot.HS ] = topbot( fid, freq, BCType, AttenUnit )
	
	tr.Bdry.Top.depth = SSP.depth[0]
	tr.Bdry.Bot.depth = SSP.depth[SSP.NMedia];	
	
	# Get rho, c just INSide the boundary(used later for reflection coefficients)
	
	I = NFirstAcoustic
	rhoInsT = SSP.rho[I-1]
	cInsT   = SSP.c[I-1]
	
	I = int(Loc[NLastAcoustic] + SSP.Npts[NLastAcoustic])
	rhoInsB = SSP.rho[I-1]
	cInsB = SSP.c[I-1]
		
	return [TitleEnv, freq, SSP, fid]	
		
	
def topbot(fid, freq, BCType, AttenUnit):
	#Handles top and bottom boundary conditions
	#input: 
	#ENVIL: Environmental file
	#freq: frequency
	#BCType: Boundary condition type
	
	#output:
	#tr.Bdry.cp:  P-wave speed in halfspace
	#tr.Bdry.cs:  S-wave speed in halfspace
	#tr.Bdry.rho: density in half space
	
	#BumDen: Bump density
	#eta:    Principal radius 1
	#xi:     Principal radius 2
	global tr, br
	
	global alphaR, betaR, rhoR, alphaI, betaI
	# Echo to PRTFIL user's choice of boundary conditions
	ice = ICE
	
	if (BCType == 'S'):
		disp('    Twersky SOFT BOSS scatter model')
	elif (BCType == 'H'):
		disp('    Twersky HARD BOSS scatter model')
	elif (BCType == 'T'):
		disp('    Twersky (amplitude only) SOFT BOSS scatter model')
	elif (BCType == 'I'):
		disp('    Twersky (amplitude only) HARD BOSS scatter model')
	elif (BCType == 'V'):
		disp('    Vacuum')
	elif (BCType == 'R'):
		disp('    Perfectly RIGID')
	elif (BCType == 'A'):
		disp('    ACOUSTO-ELASTIC half-space')
	elif (BCType == 'F'):
		disp('    FILE used for reflection loss')
	elif (BCType == 'W'):
		disp('    Writing an IRC file')
	elif (BCType == 'P'):
		disp('    Reading PRECALCULATED IRC')
	else:
		disp('Fatal error: Unknown boundary condition type')
		exit()
	# Read in BC parameters depending on particular choice
	cp = 0.0
	cs = 0.0
	rho = 0.0
	ice.BumDen = 0.0
	ice.eta = 0.0
	ice.xi = 0.0
	HS = []
	ztmp = ''
	# Twerski ice model parameters
	if (BCType == 'S' or BCType == 'H' or BCType == 'T' or BCType == 'I'):
		data = getLine(fid).split()
		ice.BumDen = data[0]
		ice.eta    = data[1]
		ice.xi     = data[2]
		print( '\nTwersky ice model parameters: ' )
		print( ' Bumden = %d  Eta = %d  Xi = %d ', (ice.BumDen, ice.eta, ice.xi) )
	if (BCType == 'A'):
		alphaR = 1500   # defaults
		betaR  = 0
		rhoR   = 1
		alphaI = 0
		betaI  = 0
		x = getLine(fid).split()
		temp = ['','','','','','']
		for i in range(len(x)):
			temp[i] = x[i]
		if (temp[0]):
			ztmp   = float(temp[0])
		if (temp[1]):
			alphaR = float(temp[1])
		if (temp[2]):
			betaR = float(temp[2])
		if (temp[3]):
			rhoR = float(temp[3])
		if (temp[4]):
			alphaI = float(temp[4])
		if (temp[5]):
			betaI = float(temp[5])
			
		print('%8.2f    %8.2f    %8.2f    %8.2f    %8.4f    %8.4f '% (ztmp, alphaR, betaR, rhoR, alphaI, betaI))
		
		cp  = crci( alphaR, alphaI, freq, AttenUnit )
		cs  = crci( betaR,  betaI,  freq, AttenUnit )
		rho = rhoR
		HS = hs
		#raw values in user units
		HS.alphaR = alphaR
		HS.alphaI = alphaI
		HS.betaR  = betaR
		HS.betaI  = betaI
		HS.rho    = rhoR
	return [cp,cs,rho,ice,HS]
	

def crci(c, alpha, freq, AtUnit):
	#convert real wave speed and attenutation
	#to a single complex wave speed.
	
	# 6 cases :
	#N for Nepers/meter
	#M for dB/meter (M for Meters)
	#F for dB/m-kHZ (F for frequency dependent)
	#W for dB/wavelength (W for wavelength)
	# Q for Q
	# T for Thorpe
	c = float(c)
	omega = 2.0*pi*freq
	#convert to Nepers
	alphaT = 0.0

	if (AtUnit == 'N'):
		alphaT = alpha
	elif (AtUnit == 'M'):
		alphaT = alpha/8.6858896
	elif (AtUnit == 'F'):
		alphaT = alpha * freq / 8685.8896
	elif (AtUnit == 'W'):
		if (c != 0.0):
			alphaT = alpha * freq / (8.6858896*c)
	elif (AtUnit == 'Q'):
		if (c*alpha != 0.0):
			alphaT = omega/(2.0*c*alpha);
	elif (AtUnit == 'T'):
		f2 = (freq/1000.0)**2
		alphaT = 40.0*f2/(4100.0 + f2) + 0.1*f2/(1 + f2)
		alphaT = alphaT/914.4 #dB/M
		alphaT = alphaT/8.6858896 # Nepers/M
	#convert Nepers/m to imaginary sound speed
	alphaT = alphaT*(c**2)/omega
	crci = c + 1j*alphaT
	return crci   	
def readr(fid):

	#read i nreceiver ranges
	temp = getLine(fid).split()
	Nrr = int(temp[0])
	
	print('\nNumber of receiver ranges = %i '%(Nrr))
	rr = getLine(fid).split()
	print('\nReceiver ranges (m)')
	s = ''
	for i in range(len(rr)):
		s     = s + rr[i] + '  '
		rr[i] = int(float(rr[i]))
	print('%s'% (s)) 
	
	
	if (Nrr > 2):
		rr = linspace(float(rr[0]), float(rr[1]), float(Nrr)).T #generate vector of receiver ranges
	return rr
	
def readsdrd(fid):
 	# Read in source depths and receiver depths
	# Variable 'Pos' is a structure:
	# Pos.r.depth = vector of receiver depths
	# Pos.s.depth = vector of source depths
	# Pos.Nrd     = number of receiver depths
	# Pos.Nsd     = number of source depths

	# limitation of this implementation:
	# if there are many sources or receivers, assumes only the first and last
	# 0 1000 /
   
	# source info
	
	Pos   = POS
	Pos.r = R
	Pos.s = S
	Pos.Nsd = float(getLine(fid).split()[0])
	
	print('\nNumber of sources  = %i'% (int(Pos.Nsd)))
	print('\nSource depths (m)')
	
	
	Pos.s.depth = getLine(fid).split()
	if (Pos.Nsd < 10):
		for i in range(len(Pos.s.depth)):
			print('%8.2f'% (float(Pos.s.depth[i]))) #print all the depths
	else:
		#print first and last depths
		print('%8.2f ... %8.2f \n' % (Pos.s.depth[0], Pos.s.depth[-1])) 
	
	if (Pos.Nsd > 2):
		#generate vector of receiver depths
		Pos.s.depth = linspace(Pos.s.depth[0], Pos.s.depth[1], Pos.Nsd)
		disp('Warning: Producing source depths by interpolation between sd(1) and sd(2)')
	
	#receiver info
	Pos.Nrd = int(getLine(fid).split()[0])
	print('\nNumber of receivers = %i '% (Pos.Nrd))
	print('\nReceiver depths (m)')
	
	
	Pos.r.depth = getLine(fid).split()     
	
	if(Pos.Nrd < 10):
		for i in range(len(Pos.r.depth)):
			print('%8.2f  '% (float(Pos.r.depth[i]))) #print all the depths
	else:
		#print first and last depth
		print('%8.2f ...%8.2f '% (float(Pos.r.depth[0]), float(Pos.r.depth[-1])) )
	
	disp('  ')
	
	if (Pos.Nrd > 2):
		#generate vector of receiver depths
		Pos.r.depth = linspace(float(Pos.r.depth[0]), float(Pos.r.depth[1]), float(Pos.Nrd))
		disp( 'Producing receiver depths by interpolation between rd(1) and rd(2)' )
	print('\n')
	
	return Pos
	
def read_bell(fid,freq,depthB,depthT,Rmax):
	
	#Read in the rest of the environmental file
	# This is the part containing control info specific to Bellhop
	# sets:
	# Beam.RunType
	# Beam.Nbeams
	# Beam.Ibeam (optionally)
	# Beam.deltas
	#Beam.Box
	#Beam.Box.r
	global tr, br
	
	#global alpha, Nbeams
	Beam = beam
	Beam.Box = BOX
	Beam.Isingl = 0
	c0     = 1500.0    # reference sound speed used to compute default step size
	Beam.Ibwin  = 5
	Beam.rLoop  = 0
	Beam.Nimage = 3
	Beam.Type   = ''
	# *** Read run type ***
	Beam.RunType = getLine(fid)
	# Extract option letters between the quotes
	nchars = []
	nchars.append(Beam.RunType.find("'")) #find first half of quotes
	nchars.append(Beam.RunType.rfind("'")) #find second half of quotes
	Beam.RunType   = Beam.RunType[nchars[0] + 1 : nchars[1] ] 

	for i in range(5 - (nchars[1] - nchars[0])):
		Beam.RunType = Beam.RunType + ' '
	

	disp( '    ' )
	if (Beam.RunType[0] == 'R' ):
		disp( 'Ray trace run' )
	elif(Beam.RunType[0] == 'E' ):
		disp( 'Eigenray trace run' )
	elif (Beam.RunType[0] == 'I' ):
		disp( 'Incoherent TL calculation' )
	elif(Beam.RunType[0] == 'S' ):
		disp( 'Semi-coherent TL calculation' )
	elif (Beam.RunType[0] == 'C' ):
		disp( 'Coherent TL calculation' )
	elif (Beam.RunType[0] == 'A' ):
		disp( 'Arrivals calculation' )
	elif (Beam.RunType[0] == 'a' ):
		disp( 'Arrivals calculation' )
		Beam.RunType[0] = 'A';   # 'a' for binary mode is irrelevant in the Matlab version
	else:
		fid.close()
		disp('Fatal error: Unknown RunType selected')
		exit()


	if (Beam.RunType[1] == 'C' ):
		disp( 'Cartesian beams' )
	elif (Beam.RunType[1] == 'R' ):
		disp( 'Ray centered beams' )
	elif (Beam.RunType[1] == 'S' ):
		disp( 'Simple gaussian beams' )
	elif (Beam.RunType[1] == 'B' ):
		disp( 'gaussian beam Bundles (grab)' )
	else:
		Beam.RunType = list(Beam.RunType)
		Beam.RunType[1] = 'G' 
		disp( 'Geometric beams' )

	br.Nbeams = int(getLine(fid).split()[0])
	print( '\nNumber of beams = %i '% (br.Nbeams) )
	Beam.Nbeams = br.Nbeams

	if ( br.Nbeams == 0 ):
		br.Nbeams = max(floor( 0.3 * Rmax * freq / c0 ), 300 ) # automatically estimate NBeams to use


	if (tr.Bdry.Top.Opt[5] == 'I' ):
		Beam.Ibeam = int(getLine(fid).split()[0])

	print( 'Beam take-off angles (degrees)' )
	
	br.alpha = getLine(fid).split()
	print('%f %f'%(float(br.alpha[0]),float(br.alpha[1])))

	if (br.Nbeams > 2):
		br.alpha = linspace(float(br.alpha[0]),float(br.alpha[1]),float(br.Nbeams)).T

	Beam.alpha = br.alpha

	

	# *** Limits for tracing beams ***
	temp = getLine(fid).split()
	Beam.deltas = temp[0]
	Beam.Box.z  = temp[1]
	Beam.Box.r  = temp[2]
	
	if (Beam.Box.r[-1] == ','):
		Beam.Box.r = Beam.Box.r[0:-1]
	
	print( '\nStep length,       deltas = %d m '% (float(Beam.deltas)) )
	print( 'Maximum ray depth, zBox   = %d m '% (float(Beam.Box.z)) )
	print( 'Maximum ray range, rBox   = %d km'% (float(Beam.Box.r)) )

	# *** Automatic step size selection < 10 wavelengTop.HS
	if ( float(Beam.deltas) == 0.0 ):
		Beam.deltas = ( depthB - depthT ) / 10.0
		print( 'Default step length,     deltas = %d m '% (Beam.deltas) )


	# ****** Beam characteristics ******

	# note: curvature change can cause overflow in grazing case
	#suppress by setting BeamType(2:2) = 'Z'
	
	if ((Beam.RunType[1] == 'G') or (Beam.RunType[1] == 'B') or \
	(Beam.RunType[1] == 'S')	):
		Beam.Type = Beam.Type + 'M'
		Beam.Type = Beam.Type + 'S'
		Beam.rLoop   = 1.0
		Beam.epmult  = 1.0
		Beam.Type = Beam.Type + Beam.RunType[2]
		
		if (Beam.Type[2] == 'S' ):
			disp( 'Beam shift in effect' )
		else:
			disp( 'No beam shift in effect' )
		
	else:
		temp = getLine(fid).split()
		Beam.Type    = Beam.Type + temp[0][0]
		Beam.Type    = Beam.Type + temp[0][1]
		Beam.Type    = Beam.Type + ''
		Beam.epmult  = temp[1]
		Beam.rLoop   = temp[2]
		print( '\n\nType of beam = %s'% (Beam.Type[0]) )
   
		if (Beam.Type[1] == 'D' ):
			disp( 'Curvature doubling invoked' )
		elif (Beam.Type[1] == 'Z' ):
			disp( 'Curvature zeroing invoked' )
		elif (Beam.Type[1] == 'S' ):
			disp( 'Standard curvature condition' )
		else:
			for f in openfiles:
				f.close()
			disp( 'Fatal Error: Unknown curvature condition' )
			exit()
		print( 'Epsilon multiplier %d \n'% (float(Beam.epmult)) )
		print( 'Range for choosing beam width %d \n'% (float(Beam.rLoop)) )
   
		#  ****** Images, windows ******
   
		Beam.Nimage = temp[3]
		Beam.Ibwin  = temp[4]
		disp( '  ' )
		print( 'Number of images, Nimage = %i \n'% (float(Beam.Nimage)) )
		print( 'Beam windowing parameter,  Ibwin = %i \n'% (float(Beam.Ibwin)) )
   
	

	if ( len( Beam.RunType ) < 4 ):
		Beam.RunType = Beam.RunType + ' '

	if (Beam.RunType[3] == 'R' ):
		disp( 'Point source (cylindrical coordinates)' )
	elif (Beam.RunType[3] == 'X' ):
		disp( 'Line source (Cartesian coordinates)' )
	else:
		temp = ''
		for i in range(len(Beam.RunType)):
			if (i == 3):
				temp = temp + 'R'
			else:
				temp = temp + Beam.RunType[i]
		Beam.RunType = temp
		disp('Point source (cylindrical coordinates)')


	return Beam
def readati(atifil,TopATI,depthT,rBox):
	#Read an atifil into the workspace of variables
	global tr, br
	
	#global Bdry
	#global xTop,tTop,nTop,tTopNode,nTopNode,RLenTop,kappaTop,NatiPts, atiType
	#global topFlag
	if (TopATI == '*'):
		disp('*********************************')
		disp( 'Using top-altimetry file' )
		
		try:
			fid = open(atifil, 'r')
		except IOError:
			print('WARNING: ATIFIL does not exist ')
			exit()
		tr.atiType = getLine(fid)
		
		# Extract option letter between quotes
		nchars = []
		nchars.append(tr.atiType.find("'")) # find first half quote
		nchars.append(tr.atiType.rfind("'")) # find last half quote
		tr.atiType = tr.atiType[nchars[0] + 1 : nchars[1]]
		
		if (tr.atiType == 'L'):
			disp('Piecewise linear approximation to altimetry')
		elif (tr.atiType == 'C'):
			disp('Curvilinear approximation to altimetry')
		else:
			fid.close()
			disp(tr.atiType)
			disp('Fatal error: Unknown option for altimetry type')
			exit()
		temp = getLine(fid).split()
		tr.NatiPts = int(temp[0])
		print('Number of altimetry points = %i \n' % (tr.NatiPts))
		print(' Range (km)  Depth (m) \n')
		
		tr.xTop = zeros((2,tr.NatiPts+2))
		for ii in range(tr.NatiPts):
			temp = getLine(fid).split()
			tr.xTop[:,ii+1] = array([float(temp[0]), float(temp[1])]) 
			print('%f    %f \n' % (tr.xTop[0,ii+1],tr.xTop[1,ii+1]))
			if (tr.xTop[1,ii] < depthT):
				print('Altimetry goes above first tabulated SSP value')
		fid.close() # close the altimetry file
		tr.xTop[0,:] = 1000.0*tr.xTop[0,:] # convert ranges from km to m
		#extend the bathymetry to +/- infinity in a piecewise constant fashion
		tr.NatiPts = tr.NatiPts + 2
		tr.xTop[0,0]          = -1e50
		tr.xTop[1,0]          = tr.xTop[1,1]
		tr.xTop[0, tr.NatiPts-1] = +1e50
		tr.xTop[1, tr.NatiPts-1] = tr.xTop[1, tr.NatiPts-2]
		
		#compute tangent and outward-pointing normal to top
		tr.tTop = zeros((2,tr.NatiPts-1))
		tr.nTop = zeros((2,tr.NatiPts-1))
		
		tr.tTop[0,:] = tr.xTop[0, 1:tr.NatiPts] - tr.xTop[0,0:tr.NatiPts-1]
		tr.tTop[1,:] = tr.xTop[1, 1:tr.NatiPts] - tr.xTop[1,0:tr.NatiPts-1]
		
		tr.RLenTop = sqrt(tr.tTop[0,:]**2 + tr.tTop[1,:]**2)
		
		tr.tTop[0,:] = tr.tTop[0,:]*(1/tr.RLenTop)
		tr.tTop[1,:] = tr.tTop[1,:]*(1/tr.RLenTop)
		
		tr.nTop[0,:] = tr.tTop[1,:]
		tr.nTop[1,:] = -tr.tTop[0,:]
		
		if (tr.atiType == 'C'):
			tr.tTopNode = zeros((2,tr.NatiPts))
			tr.nTopNode = zeros((2,tr.NatiPts))
			for ii in (range(tr.NatiPts-2)+ones(tr.NatiPts-2)):
				tr.tTopNode[:,ii] = .5*(tr.tTop[:,ii-1] + tr.tTop[:,ii])
				tr.nTopNode[:,ii] = .5*(tr.nTop[:,ii-1] + tr.nTop[:,ii])
			# end points
			tr.tTopNode[:,0]         = array([1.0,0.0]) # tangent left-end node
			tr.tTopNode[:,tr.NatiPts-1] = array([1.0,0.0]) # tangent right-end node
			tr.nTopNode[0,:] = +tr.tTopNode[1,:]
			tr.nTopNode[1,:] = -tr.tTopNode[0,:]
			
			# compute curvature in each segment
			n = len(tr.tTopNode[1,:])
			phi = zeros(n)
			for i in range(n):
				phi[i] = atan2(tr.tTopNode[1,i],tr.tTopNode[0,i])
			tr.kappaTop = diff(phi)*(1/tr.RLenTop )
			tr.topFlag  = False
		else:
			tr.kappaTop = zeros((tr.NatiPts + 1, 1))
			tr.topFlag  = True
	else:   # no bathymetry given, use SSP depth for flat top
		tr.atiType = []
		tr.NatiPts = 3
		tr.xTop = zeros(( 2,3 ))
		tr.xTop[:,0] = array([-rBox, tr.Bdry.Top.depth]).T
		tr.xTop[:,1] = array([    0, tr.Bdry.Top.depth]).T
		tr.xTop[:,2] = array([ rBox, tr.Bdry.Top.depth]).T
		
		tr.tTop = zeros((2,tr.NatiPts))  # in case tTop exists from a previous, different run
		tr.nTop = zeros((2,tr.NatiPts))
		
		tr.tTop[ :, 0 ] = array([ 1.0,  0.0 ]).T   # tangent to top
		tr.nTop[ :, 0 ] = array([ 0.0, -1.0 ]).T   # outward-pointing normal
		tr.tTop[ :, 1 ] = array([ 1.0,  0.0 ]).T   # tangent to top
		tr.nTop[ :, 1 ] = array([ 0.0, -1.0 ]).T   # outward-pointing normal
		tr.tTop[ :, 2 ] = array([ 1.0,  0.0 ]).T   # tangent to top
		tr.nTop[ :, 2 ] = array([ 0.0, -1.0 ]).T   # outward-pointing normal
		
		tr.RLenTop =  (tr.tTop[0,:]**2 + tr.tTop[1,:]**2)**(0.5) 
		tr.kappaTop = zeros((2,1))
		tr.topFlag  = True
		#kappaTop[0,0] = 0
		#kappaTop[1,0] = 0
def readbty( btyfil, BotBTY, depthB, rBox ):
	
	# Read a btyfil into the workspace variables
	global tr, br
	
	#global Bdry
	#global xBot,tBot,nBot,tBotNode,nBotNode,RLenBot,kappaBot,NbtyPts,btyType
	#global botFlag
	tr.tBotNode = []
	tr.nBotNode = []
	if (BotBTY == '*'):
		disp( '*********************************' )
		disp( 'Using bottom-bathymetry file' )
		
		try:
			fid = open(btyfil, 'r')
		except IOError:
			print('WARNING: Bathymetry file does not exist ')
			exit()
		tr.btyType = getLine(fid)
		
		#Extract option letter between the quotes
		nchars = []
		nchars.append(tr.btyType.find("'")) # find first half quote
		nchars.append(tr.btyType.rfind("'")) # find last half quote
		tr.btyType = tr.btyType[nchars[0] + 1 : nchars[1]]
		
		if (tr.btyType == 'L'):
			disp('Piecewise linear approximation to bathymetry')
		elif (tr.atiType == 'C'):
			disp('Curvilinear approximation to bathymetry')
		else:
			fid.close()
			disp(tr.btyType)
			disp('Fatal error: Unknown option for bathymetry type')
			exit()
		temp = getLine(fid).split()
		tr.NbtyPts = int(temp[0])
		print('Number of bathymetry points = %i \n' % (tr.NbtyPts))
		print(' Range (km)  Depth (m) \n')
		
		
		tr.xBot = zeros((2, tr.NbtyPts+2))
		for ii in range(tr.NbtyPts):
			temp = getLine(fid).split()
			tr.xBot[:,ii+1] = array([float(temp[0]), float(temp[1])])
			print('%f    %f \n' % (tr.xBot[0,ii+1],tr.xBot[1,ii+1]))
			if (tr.xBot[1,ii] > depthB):
				disp('Error: Bathymetry goes below last tabulated SSP value')
		fid.close()
		
		tr.xBot[0,:] = 1000.0*tr.xBot[0,:] #convert ranges from km to m
		# extend the bathymetry to +/- infinity in a piecewise constant fashion
		tr.NbtyPts = tr.NbtyPts + 2
		tr.xBot[0,0]         = -1e50
		tr.xBot[1,0]         = tr.xBot[1,1]
		tr.xBot[0,tr.NbtyPts-1] = +1e50
		tr.xBot[1,tr.NbtyPts-1] = tr.xBot[1,tr.NbtyPts-2 ]
   
		# compute tangent and outward-pointing normal to Bot
		tr.tBot = zeros( (2, tr.NbtyPts-1) )  # in case tBot exists from a previous, different run
		tr.nBot = zeros( (2, tr.NbtyPts-1) )
	
		tr.tBot[0,:] = array(tr.xBot[0, 1:tr.NbtyPts ] - tr.xBot[ 0, 0:tr.NbtyPts - 1])
		tr.tBot[1,:] = array(tr.xBot[1, 1:tr.NbtyPts ] - tr.xBot[ 1, 0:tr.NbtyPts - 1])
		
		tr.RLenTop = sqrt( tr.tBot[0,:]**2 + tr.tBot[1,:]**2 )
		
		tr.tBot[0,:] = tr.tBot[0,:]*(1/tr.RLenTop)
		tr.tBot[1,:] = tr.tBot[1,:]*(1/tr.RLenTop)
		
		tr.nBot[0,:] = -tr.tBot[1,:]
		tr.nBot[1,:] =  tr.tBot[0,:]
   
		if ( tr.btyType == 'C' ): # Curvilinear option: compute tangent and normal at node by averaging normals on adjacent segments
      
			tr.tBotNode = zeros(( 2, tr.NbtyPts ))
			tr.nBotNode = zeros(( 2, tr.NbtyPts ))
			for ii in (range(tr.NbtyPts-2) + ones(tr.NbtyPts-2)):
				tr.tBotNode[ :, ii-1] = 0.5 * ( tr.tBot[ :, ii - 2 ] + tr.tBot[ :, ii-1 ] )
				tr.nBotNode[ :, ii-1] = 0.5 * ( tr.nBot[ :, ii - 2 ] + tr.nBot[ :, ii-1 ] )      
			
			# end points
			tr.tBotNode[ :, 0       ] = array([ 1.0, 0.0 ])   # tangent left-end  node
			tr.tBotNode[ :, tr.NbtyPts-1 ]  = array([ 1.0, 0.0 ])   # tangent right-end node
			tr.nBotNode[ 0, : ] = -tr.tBotNode[1, :]
			tr.nBotNode[ 1, : ] = +tr.tBotNode[0, :]
      
			# compute curvature in each segment
			n = len(tr.tBotNode[1,:])
			phi = zeros(n)
			for i in range(n):
				phi[i] = atan2(tr.tBotNode[1,i],tr.tBotNode[0,i])
			tr.kappaBot = diff( phi )*(1/tr.RLenTop) # this is curvature = dphi/ds
			tr.botFlag  = False
		else:
			tr.kappaBot = zeros(( tr.NbtyPts + 1, 1 ))
			tr.botFlag  = True
		
   
	else:   #no bathymetry given, use SSP depth for flat Bot
		tr.btyType = []
		tr.NbtyPts = 3
		tr.xBot = zeros((2,3))
		tr.xBot[ :, 0 ] = array([ -rBox, tr.Bdry.Bot.depth ]).T
		tr.xBot[ :, 1 ] = array([     0, tr.Bdry.Bot.depth ]).T
		tr.xBot[ :, 2 ] = array([  rBox, tr.Bdry.Bot.depth ]).T
   
		tr.tBot = zeros(( 2, tr.NbtyPts ))   # in case tBot exists from a previous, different run
		tr.nBot = zeros(( 2, tr.NbtyPts ))
   
		tr.tBot[ :, 0 ] = array([ 1.0,  0.0 ]).T # tangent to Bot
		tr.nBot[ :, 0 ] = array([ 0.0,  1.0 ]).T # outward-pointing normal
		tr.tBot[ :, 1 ] = array([ 1.0,  0.0 ]).T # tangent to Bot
		tr.nBot[ :, 1 ] = array([ 0.0,  1.0 ]).T # outward-pointing normal
		tr.tBot[ :, 2 ] = array([ 1.0,  0.0 ]).T # tangent to Bot
		tr.nBot[ :, 2 ] = array([ 0.0,  1.0 ]).T # outward-pointing normal
   
		tr.RLenTop = ( tr.tBot[ 0, : ]**2 + tr.tBot[1, :]**2 )**(0.5)
		tr.kappaBot = zeros((2,1))
		tr.botFlag  = True
		#kappaBot[0,0] = 0
		#kappaBot[1,0] = 0
	
def readrc(trcfil, brcfil, TopRC, BotRC):

	#read in the top and bottom reflection coefficients
	
	if (TopRC =='F'):
		disp('Reading top    reflection coefficient')
		if(trcfil != 'TRCFIL'):
			brcfil = trcfil + '.trc' # append extension
		
		try:
			fid = open(trcfil, 'r')
		except IOError:
			print('WARNING: Top Refl. Coef. File, TRCFIL. does not exist ')
			exit()
		temp = getLine(fid).split()
		NTopPts = int(temp[0])
		print('Number of points in top    reflection coefficent = %i \n' % (NTopPts))
		thetaTop = zeros(( NTopPts, 1 ))
		RTop     = zeros(( NTopPts, 1 ))
		phiTop   = zeros(( NTopPts, 1 ))
		counter = 0
		for ii in range(NTopPts):
			thetaTop[ii] = float(temp[counter])
			RTop[ii]     = float(temp[counter+1])
			phiTop[ii]   = float(temp[counter+2])
			counter = counter + 3
		fid.close()
		phiTop = pi / 180 * phiTop  # convert to radians
	else:
		thetaTop = 0
		RTop     = 0
		phiTop   = 0
		NTopPts  = 0
	if (BotRC == 'F'):
		disp('Reading bottom reflection coefficient')
		
		if (brcfil != 'BRCFIL'):
			brcfil = brcfil + '.brc' #append extension
		try:
			fid = open(brcfil, 'r')
		except IOError:
			print('WARNING: Bot Refl. Coef. File, BRCFIL. does not exist ')
			exit()
		temp = getLine(fid).split()
		NBotPts = int(temp[0])
		print('Number of points in bottom reflection coefficent = %i \n' % (NBotPts))
		thetaBot = zeros(( NBotPts, 1 ))
		RBot     = zeros(( NBotPts, 1 ))
		phiBot   = zeros(( NBotPts, 1 ))
		counter = 0
		for ii in range(NBotPts):
			theta[ii]  = float(temp[counter])
			RBot[ii]   = float(temp[counter+1])
			phiBot[ii] = float(temp[counter+2])
			counter = counter + 3
		fid.close()
		phiBot = pi / 180 * phiBot # convert to radians
	else:
		thetaTop = 0
		RTop     = 0
		phiTop   = 0
		NTopPts  = 0
def readpat(sbpfil, SBP):
	# Read in a source beam pattern
	
	if ( SBP == '*'):
		disp( '*********************************' )
		disp( 'Using source beam pattern file' )
		fid = open(sbpfil, 'r')
		temp = getLine(fid).split()
		NSBPPts = int(temp[0])
		print('Number of source beam pattern points = %i \n' % (NSBPPts))
		SrcBmPat = zeros((NSBPPts,2))
		disp( ' ' );
		disp( ' Angle (degrees)  Power (dB)' )
		
		for I in range(NSBPPts):
			temp = getLine(fid).split()
			SrcBmPat[I,:] = array([ float(temp[0]), float(temp[1]) ])
			print(' %f         %f' % (SrcBmPat[I,0],SrcBmPat[I,1]))
			
		fid.close()
	else:  # No pattern given, use omni source pattern
		SrcBmPat = zeros((2,2))
		SrcBmPat[0,:] = array([-180.0, 0.0])
		SrcBmPat[1,:] = array([ 180.0, 0.0])
	SrcBmPat[:,1] = 10**(SrcBmPat[:,1]/20)  # convert dB to linear scale
		
	return SrcBmPat
