N = 100000;
nrepeat = 20;
times = zeros(nrepeat,1);
A = zeros(256,256);
fid = fopen('cholesky_matrix.mat','r');
A = fread(fid, 256^2, 'float32');
A = reshape(A,256,256);
fclose(fid);
for i = 1:nrepeat
    tic;
    sin_loop(N);
    times(i) = toc;
end

fprintf('---Summary of individual run times---\n')

for i = 1:nrepeat
    fprintf('%3d %.7f\n',i,times(i));
end

fprintf('---Summary Statistics---\n');
fprintf('Minimum... %.7f\n', min(times));
fprintf('Maximum... %.7f\n', max(times));
fprintf('Median.... %.7f\n', median(times));
fprintf('Mean...... %.7f\n', mean(times));
fprintf('Total..... %.7f\n', sum(times));
