import math
from numpy import *
from numpy.fft import fft
from scipy.linalg import cholesky,svd
import timeit
import array as ar
import psyco
psyco.full()
fid = open('cholesky_matrix.mat','r')
temp = ar.array('d')
temp.read(fid,256**2)
A = mat(array(temp).reshape(256,256))
fid.close()
def fft_loop(N):
    x = range(4096)
    for i in range(N):
        y = fft(x)

def sin_loop(N):
    for i in range(N):
        y = math.sin(i)

def cholesky_loop(A,N):
	for i in range(N):
		x = cholesky(A)
def svd_loop(A,N):
    for i in range(N):
        [u,s,v] = svd(A)
N = 10
timer = timeit.Timer(setup='from __main__ import N,A,svd_loop',\
stmt='svd_loop(A,N)')
times = timer.repeat(repeat=20,number=1)
print "---Summary of individual run times---"

for i in range(len(times)):
	print "%3d, %.7f" % ((i+1), times[i])
print "---Summary Statistics---"
print "Minimum... %.7f" % (min(times))
print "Maximum... %.7f" % (max(times))
print "Median.... %.7f" % (median(times))
print "Mean...... %.7f" % (mean(times))
print "Total..... %.7f" % (sum(times))