import shutil as sh
import subprocess as sub
import os
def bellhopF(filename):
	
	# run the BELLHOP program
	
	if (len(filename) == 0):
		disp('Warning: No envfil has been selected')
		exit()
	else:
		try: sh.copyfile(filename + '.ati', 'ATIFIL')
		except: nothing = 0
		try: sh.copyfile(filename + '.bty', 'BTYFIL')
		except: nothing = 0
		try: sh.copyfile(filename + '.trc', 'TRCFIL')
		except: nothing = 0
		try: sh.copyfile(filename + '.brc', 'BRCFIL')
		except: nothing = 0
		try: sh.copyfile(filename + '.sbp', 'SBPFIL')
		except: nothing = 0
		try: sh.copyfile(filename + '.ssp', 'SSPFIL')
		except: nothing = 0
		
		input  = open(filename + '.env','r')
		output = open(filename + '.prt','w')
		sub.call(["bellhop.exe"],stdin=input,stdout=output)
		
		try: os.remove('ATIFIL')
		except: nothing = 0
		try: os.remove('BTYFIL')
		except: nothing = 0
		try: os.remove('TRCFIL')
		except: nothing = 0
		try: os.remove('BRCFIL')
		except: nothing = 0
		try: os.remove('SBPFIL')
		except: nothing = 0
		try: os.remove('SSPFIL')
		except: nothing = 0
			
			
		try: sh.move('SHDFIL',filename + '.shd')
		except: nothing = 0
		try: sh.move('ARRFIL',filename + '.arr')
		except: nothing = 0
		try: sh.move('RAYFIL',filename + '.ray')
		except: nothing = 0