% Munk profile test cases
% demonstrating role of increasing number of modes
% Fig. 5.12 in JKPS
% mbp

krakenc( 'MunkKwb' )
plotshd( 'MunkKwb.shd', 3, 1, 1 )
caxis( [ 60 100 ] )
title( 'F = 50 Hz, SD = 100 m' )

krakenc( 'MunkKbb' )
plotshd( 'MunkKbb.shd', 3, 1, 2 )
caxis( [ 60 100 ] )
title( '' )

krakenc( 'MunkKleaky' )
plotshd( 'MunkKleaky.shd', 3, 1, 3 )
caxis( [ 60 100 ] )
title( '' )

% orient tall
% print -depsc fig5_12Color.eps
% colormap gray
% print -depsc fig5_12.eps

scooter( 'MunkS' )
figure
plotshd( 'MunkS.shd' )
caxis( [ 60 100 ] )
