import sys
sys.path.append('../../Python')
import bellhopf
import plot
import matplotlib.pyplot as plt

#**********calib*************************

# isovelocity calibration case

bellhopf.bellhopF('calibB')
plot.plotshd('calibB.shd',3,1,1,[40,80])

bellhopf.bellhopF('calibB_gb')
plot.plotshd('calibB_gb.shd',3,1,3,[40,80])

# gradient calibration case

bellhopf.bellhopF('calibBgrad')
plot.plotshd('calibBgrad.shd',3,1,1,[40,80])

bellhopf.bellhopF('calibBgrad_gb')
plot.plotshd('calibBgrad_gb.shd',3,1,3,[40,80])

#if you want to run this runtests module without running 
#all of the tests cases uncomment 'plt.show()' below

#plt.show()
